summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-12-10 06:19:52 +0100
committerHans de Graaff <graaff@gentoo.org>2016-12-10 06:19:52 +0100
commitb4dccc06bf8c4f1122895b8893eb0fe76154a1bf (patch)
treeb3763eec32d1a76ea8e29ce47122678404969849 /dev-ruby/itextomml
parentdev-python/h5py: Fix dependecy on hdf5[hl] (PR #3061). (diff)
downloadgentoo-b4dccc06bf8c4f1122895b8893eb0fe76154a1bf.tar.gz
gentoo-b4dccc06bf8c4f1122895b8893eb0fe76154a1bf.tar.bz2
gentoo-b4dccc06bf8c4f1122895b8893eb0fe76154a1bf.zip
dev-ruby/itextomml: add 1.5.5
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-ruby/itextomml')
-rw-r--r--dev-ruby/itextomml/Manifest1
-rw-r--r--dev-ruby/itextomml/itextomml-1.5.5.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-ruby/itextomml/Manifest b/dev-ruby/itextomml/Manifest
index 88a9b86e1bc..755ec347073 100644
--- a/dev-ruby/itextomml/Manifest
+++ b/dev-ruby/itextomml/Manifest
@@ -1,3 +1,4 @@
DIST itextomml-1.5.2.gem 124928 SHA256 2fb0a794f5e8628aeae0d098ee67c010ae6793e162785b72baac60890922bcfa SHA512 dbd7a724d65905a322f05bbd9cde1cfbd0b4dd447a358c47f4a983ebf3934d69b938b5f78fde5975d4ed65898dbec9e318b274a919dfc80eac83353a3b6771d7 WHIRLPOOL 2eba813ee3a4fb45eab6325b3fbc0d4d9bb8fac4916450b00966e67bb847356b33aecd3022913c1cb5f878bd50b34942218df3fe967086e7b326fd968f62f5cb
DIST itextomml-1.5.3.gem 124416 SHA256 400d4c0fec0d687fb0338c4a67aff7ee4b0a046331b5bf5328138e324b04250b SHA512 48b5435b928f4fe0d5264fabc1665bf70d069b8a869207769dbbe3b1fd30646ad13f8ceafd25aed3a030aa9033ca6cc58216acbd3cc5ea86b68b4175adaf549c WHIRLPOOL bb1a2ebdb85a0080c284ba98b0d6b0daefa93996513482d8f82e244c8a4ab689229d81e9e8d10ff8031e914d8e200cc4424f65e483eb9cc1b54b847ae94463ec
DIST itextomml-1.5.4.gem 124416 SHA256 3e70aa736d95751080f595be1458f82cd26945880e9b00d9abd163b2f60aa52a SHA512 18ee01adfbe128850d7bd41715a98221c425c2380ae9fe95fc8b5fe52c123e872514fc49a7b975eab1f32874b85f7e2861c8b22a9e829542eb6e4e1b97c3bc5a WHIRLPOOL 8fc3ae97a02f974de1d672056a064c23c0a77845883b8e3b50d196e35c28d64f2b6dcbf7cd3329c1d016d1c242972cc8b22490b90a7db71012dad010d702fee3
+DIST itextomml-1.5.5.gem 124416 SHA256 3449404701e505900059da5d756db26fbc2e7c1aea5358380ddd532e14a304bb SHA512 825c4f0e48e56980d23ea7ea485c50398e34b309de29ac8da218517b9d2e8a47e7dc39df8b400bb39b6828a9ac5d4e71a951554363725af20fdd460adae77e7f WHIRLPOOL 2171f2b1e81bef7284be30c26bc2086a61708d6ce6ef88aba40aa3567e671a3e7257ca58c650b879eb426eafe4a2ae38c0725d33572b37da2fd5437ae84f222c
diff --git a/dev-ruby/itextomml/itextomml-1.5.5.ebuild b/dev-ruby/itextomml/itextomml-1.5.5.ebuild
new file mode 100644
index 00000000000..8b8f472de75
--- /dev/null
+++ b/dev-ruby/itextomml/itextomml-1.5.5.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="Native Ruby bindings to itex2MML, which converts itex equations to MathML"
+HOMEPAGE="http://golem.ph.utexas.edu/~distler/blog/itex2MML.html"
+
+LICENSE="|| ( GPL-2+ MPL-1.1 LGPL-2+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE=""
+
+#Tests don't fail here
+RESTRICT="test"
+
+each_ruby_configure() {
+ ${RUBY} -Cext extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext
+ cp ext/itex2MML$(get_modname) lib/ || die
+}
+
+each_ruby_test() {
+ ${RUBY} test/test_itextomml.rb || die
+}